#!/bin/bash

# We're going to run this in the MacTeX working directory...
WORK=`pwd`

export COPYFILE_DISABLE=true

# if [[ -f universal-darwin.tar.xz ]]; then
# 	rm -R universal-darwin.tar.xz
# fi

# if [[ -d universal-darwin ]]; then
# 	rm -R universal-darwin
# fi

# mkdir universal-darwin

if [[ -d x86_64-changed ]]; then
	rm -R x86_64-changed
fi

mkdir x86_64-changed

echo CHANGED BINARIES

cd RawCode/2021-New/x86_64-apple-darwin18
files=`ls`
for f in $files; do
	cmp -s ../../2021-Old/x86_64-apple-darwin18/$f $f
	status=$?
	if ! [[ $status = 0 ]] && ! [[ -L $f ]] &&  [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]]; then
		echo $f
		cp -R $f ../../../x86_64-changed/$f
	fi
done

echo END OF CHANGED BINARIES

# echo LIPO OPERATION

# cd ../../

# cd x86_64-changed
# files=`ls`
# for f in $files; do
# 	if  [[ -e ../RawCode/aarch64-apple-darwin20.3.0/$f ]]; then		
# 		lipo $f ../RawCode/aarch64-apple-darwin20.3.0/$f -create -output ../universal-darwin/$f
# 	else
# 		cp $f ../universal-darwin/$f
# 	fi
# done

# echo END OF LIPO

# echo SIGNING

# cd ../universal-darwin

# files1=`ls`
# for f in $files1; do

# 	if [[ $f = mf ]] || [[ $f = xdvi-xaw ]] || [[ $f = dvisvgm ]]; then
# 		codesign -s   "Developer ID Application: Richard Koch"  --force --timestamp --options=runtime --entitlements=$# {WORK}/gs-X11.entitlements  $f
# 		echo sign x11
# 		echo $f
#  	else
# 		if [[ $f = luahbtex ]] || [[ $f = luajithbtex ]] || [[ $f = luatex ]] || [[ $f = luajittex ]]; then
# 			codesign -s   "Developer ID Application: Richard Koch"  --force --timestamp --options=runtime --entitlements=${WORK}/luahbtex.entitlements  $f
# 			echo sign luahb
# 			echo $f
# 		else
# 			codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime $f
# 			echo signregular
# 			echo $f
# 		fi
# 	fi
# done

# echo DONE SIGNING

# cd ../RawCode/x86_64-apple-darwin18.7.0

files2=`ls`

echo CHANGED LINKS

for f in $files2; do
	if [[ -L $f ]]; then
		test $(readlink  $f) = $(readlink ../../2021-Old/x86_64-apple-darwin18/$f)
		status=$?
		if ! [[ $status = 0 ]]; then
			echo $f
			cp -R $f ../../../x86_64-changed/$f
		fi
	fi
done

echo END OF CHANGED LINKS

echo CHANGED SCRIPTS

for f in $files2; do
	if  ! [[ -L $f ]] &&  ! [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]]; then
		cmp -s ../../2021-Old/x86_64-apple-darwin18/$f $f
		status=$?
		if ! [[ $status = 0 ]] && ! [[ $f = xindy.mem ]] && ! [[ $f = xindy.run ]]; then
			echo $f
			cp -R $f ../../../x86_64-changed/$f
		fi
	fi
done

echo END OF CHANGED SCRIPTS

# echo COMPRESSING

# cd ../../
# (cd  universal-darwin; tar cf - . ) > universal-darwin.tar

# ./xz --compress universal-darwin.tar


