#!/bin/bash

# We're going to run this in the MacTeXDVD working directory...
WORK=`pwd`

echo "Removing old file tree at ${WORK}/root"
rm -rf ${WORK}/root

# Copy everything from /usr/local into our root
echo "Collecting files from /usr/local"

mkdir -p ${WORK}/root/usr/local/share/ghostscript/9.53.3/lib
mkdir -p ${WORK}/root/usr/local/lib

# Copy libgs binaries and make libgs links

cp ${WORK}/Binaries/libgs.dylib.9.53 ${WORK}/root/usr/local/share/ghostscript/9.53.3/lib/libgs.dylib.9.53
ln -s /usr/local/share/ghostscript/9.53.3/lib/libgs.dylib.9.53 libgs.dylib
ln -s /usr/local/share/ghostscript/9.53.3/lib/libgs.dylib.9.53 libgs.9.dylib
ln -s /usr/local/share/ghostscript/9.53.3/lib/libgs.dylib.9.53 libgs.9.53.dylib
cd ${WORK}

# chmod
echo "Changing permissions"
chmod -R a+r ${WORK}/root/usr
chown -R root  ${WORK}/root/usr
chgrp -R wheel  ${WORK}/root/usr
chmod 755 ${WORK}/root/usr


